<?php
namespace App\Apollo\StructureParser\Structures\MCO;

class Price extends \App\Galileo\StructureParser\Structures\MCO\Price
{
    protected function buildPriceObj()
	{
		return new \App\Apollo\StructureParser\Types\Price();
	}

	protected function buildTaxComponentObj($code, $amount, $currency)
	{
		return new \App\Apollo\StructureParser\Types\PriceTaxComponent($code, $amount, $currency);
	}

}